Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573192 - error: Macro %_gimp_datadir has empty body
Summary: error: Macro %_gimp_datadir has empty body
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 13:04 UTC by Sami Farin
Modified: 2019-11-27 19:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:22:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Sami Farin 2018-04-30 13:04:40 UTC
Description of problem:
After building and installing gimp-2.10.0 on Fedora 27:

# rpm -qf /bin/ls
error: Macro %_gimp_datadir has empty body
error: Macro %_gimp_libdir has empty body
error: Macro %_gimp_sysconfdir has empty body
error: Macro %_gimp_localedir has empty body
coreutils-8.27-21.fc27.x86_64

Version-Release number of selected component (if applicable):
2.10.0-1

How reproducible:
very

Steps to Reproduce:
1. build gimp
2.
3.

Actual results:
as above.

Expected results:
no stupid errors from stupid macros.


Additional info:

Comment 1 Nils Philippsen 2018-05-21 11:16:39 UTC
These macros are defined in the file /usr/lib/rpm/macros.d/macros.gimp from the gimp-devel package. I have a hunch that you have other RPM macro files on your system which use these macros, but don't have the gimp-devel package installed so you get these error messages.

Can you please run this command on your system (as the user with which you ran the rpm command above) and post the output here? Thanks!

fgrep -rl _gimp_ /usr/lib/rpm ~/.rpmmacros

Comment 2 Sami Farin 2018-05-28 07:21:59 UTC
# fgrep -r _gimp_ /usr/lib/rpm ~/.rpmmacros
/usr/lib/rpm/macros.d/macros.gimp:%_gimp_datadir 
/usr/lib/rpm/macros.d/macros.gimp:%_gimp_libdir 
/usr/lib/rpm/macros.d/macros.gimp:%_gimp_sysconfdir 
/usr/lib/rpm/macros.d/macros.gimp:%_gimp_localedir 
/usr/lib/rpm/macros.d/macros.gimp:%_gimp_scriptdir /scripts
/usr/lib/rpm/macros.d/macros.gimp:%_gimp_plugindir /plug-ins
grep: /root/.rpmmacros: No such file or directory
#

Comment 3 Jan Kurik 2018-08-14 11:11:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2019-10-31 20:44:42 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 19:22:52 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.